Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class Icon

    java.lang.Object
      org.teleal.cling.model.meta.Icon

All Implemented Interfaces:
  Validatable

    public class Icon

extends Object
implements Validatable

The metadata of a device icon, might include the actual image data of a local icon.

Author:
  Christian Bauer

Constructor Summary
`Icon(org.teleal.common.util.MimeType mimeType, int width, int height, int depth, URI uri, byte[] data)`
`Icon(String mimeType, int width, int height, int depth, File file)`
`Icon(String mimeType, int width, int height, int depth, String uri)`
`Icon(String mimeType, int width, int height, int depth, URI uri)`
`Icon(String mimeType, int width, int height, int depth, URI uri, byte[] data)`
`Icon(String mimeType, int width, int height, int depth, URI uri, InputStream is)`
`Icon(String mimeType, int width, int height, int depth, URI uri, String data)`
`Icon(String mimeType, int width, int height, int depth, URL url)`

Method Summary
`Icon` | `deepCopy()`
`byte[]` | `getData()`
`int` | `getDepth()`
`Device` | `getDevice()`
`int` | `getHeight()`
`org.teleal.common.util.MimeType` | `getMimeType()`
`URI` | `getUri()`
`int` | `getWidth()`
`String` | `toString()`
`List<ValidationError>` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Icon

    public Icon(String mimeType,
                int width,
                int height,
                int depth,
                String uri)
         throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### Icon

    public Icon(String mimeType,
                int width,
                int height,
                int depth,
                URI uri)

### Icon

    public Icon(String mimeType,
                int width,
                int height,
                int depth,
                URI uri,
                String data)

### Icon

    public Icon(String mimeType,
                int width,
                int height,
                int depth,
                URL url)
         throws IOException

Throws:
  `IOException`

### Icon

    public Icon(String mimeType,
                int width,
                int height,
                int depth,
                URI uri,
                InputStream is)
         throws IOException

Throws:
  `IOException`

### Icon

    public Icon(String mimeType,
                int width,
                int height,
                int depth,
                File file)
         throws IOException

Throws:
  `IOException`

### Icon

    public Icon(String mimeType,
                int width,
                int height,
                int depth,
                URI uri,
                byte[] data)

### Icon

    public Icon(org.teleal.common.util.MimeType mimeType,
                int width,
                int height,
                int depth,
                URI uri,
                byte[] data)

Method Detail

### getMimeType

    public org.teleal.common.util.MimeType getMimeType()

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

### getDepth

    public int getDepth()

### getUri

    public URI getUri()

### getData

    public byte[] getData()

### getDevice

    public Device getDevice()

### validate

    public List<ValidationError> validate()

  Specified by:
    `validate` in interface `Validatable`
  Returns:
    An empty `List` if all rules validated properly, otherwise, the detected errors.

### deepCopy

    public Icon deepCopy()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.